2019-08-08 16:07:10 -0700 TechSneeze (bb5dd8b) 

	* Merge pull request #66 from fenugeek/master

2019-08-08 14:53:10 -0700 Rian Aldridge (96f28fb) 

	* Merge branch 'master' into master

2019-08-08 14:39:05 -0700 TechSneeze (9e96012) 

	* Merge pull request #63 from userjack6880/master

2019-08-08 14:20:22 -0700 Rian Aldridge (a2fe495) 

	* Add files via upload

2019-07-03 07:57:33 -0500 userjack6880 (c7ece67) 

	* fixed some issues merging caused

2019-07-02 21:20:40 -0500 userjack6880 (d3aa939) 

	* forgot to include a conflict

2019-07-02 21:13:26 -0500 userjack6880 (d2dad05) 

	* Merge branch 'techsneeze-master'

2019-07-02 21:07:05 -0500 userjack6880 (0dceb94) 

	* Resolved merge conflict by incorporatinb both suggestions

2019-06-27 23:17:06 -0700 TechSneeze (841f690) 

	* Merge pull request #64 from islander/zip-parser

2019-06-27 23:08:03 -0700 TechSneeze (45c652c) 

	* Fixing typo reported

2019-06-27 23:05:04 -0700 TechSneeze (20811c0) 

	* Fix typo as reported

2019-05-30 12:46:13 +1100 kiba (6797fe3) 

	* Add support parse zipped reports from PATH

2019-05-22 09:06:17 -0500 John Bradley (ced9e49) 

	* Added info option

2019-05-22 02:29:20 -0500 John Bradley (6c78bbf) 

	* Fixed Exchange compatiblity, added IMAP port option, and fixed SSL
          warnings.

2019-03-30 15:39:17 -0700 TechSneeze (b25a093) 

	* Merge pull request #62 from smpita/master

2019-01-03 13:21:42 -0800 Sean Pearce (f6fea74) 

	* Example configuration of custom db port

2019-01-03 13:21:25 -0800 Sean Pearce (79a5177) 

	* Allow custom db port

2018-12-08 15:57:18 -0800 TechSneeze (5408005) 

	* Merge pull request #60 from merid14/patch-1

2018-12-08 15:56:08 -0800 TechSneeze (49a4e86) 

	* Merge pull request #61 from Clete2/fix-gzip

2018-12-02 22:12:22 -0600 Clete Blackwell II (de38046) 

	* Add support for application/x-gzip mime type

2018-11-13 16:21:58 -0500 Walter Wahlstedt (345c7b5) 

	* Resolves Issue  #59

2018-10-31 22:54:29 -0700 TechSneeze (ae7a74a) 

	* Feedback from Issue #57

2018-06-01 09:25:21 -0700 TechSneeze (663e78c) 

	* Merge pull request #55 from Mrten/patch-1

2018-06-01 11:39:50 +0200 Mrten (eb72007) 

	* Don't create as MyISAM, add primary key

2018-05-31 18:50:01 -0700 TechSneeze (f94087b) 

	* Patch : fixup Trustwave SEG reports

2017-12-09 14:43:44 -0800 TechSneeze (15b76f0) 

	* Merge pull request #46 from lwt-pressy/master

2017-12-09 17:24:54 +0100 pressy (66c169c) 

	* add info about not using tls and ssl also to sample config

2017-12-09 17:21:10 +0100 pressy (dda8de6) 

	* Merge branch 'master' of
          https://github.com/lwt-pressy/dmarcts-report-parser

2017-12-09 17:19:42 +0100 pressy (bd229e8) 

	* add info to not enable tls and ssl

2017-12-07 22:56:01 -0800 TechSneeze (d04e787) 

	* Merge pull request #44 from onlight/patch/readme

2017-12-07 22:55:01 -0800 TechSneeze (ed63913) 

	* Merge pull request #43 from onlight/patch/tblopts

2017-12-07 13:02:13 -0600 Nic Bernstein (fe1036b) 

	* Misc. readme fixes

2017-12-07 12:48:24 -0600 Nic Bernstein (8500bbc) 

	* Add table compression to create statement

2017-10-24 22:00:36 +0200 Pressy (d0a0871) 

	* Merge pull request #2 from techsneeze/master

2017-09-22 09:08:19 -0700 TechSneeze (08037af) 

	* Merge pull request #41 from lwt-pressy/master

2017-09-22 17:50:18 +0200 pressy (e761a2f) 

	* add option $imapignoreerror for ill imap server - see issue
          "parse_data: No data passed at ./dmarcts-report-parser.pl
          line 439. #40"

2017-09-16 11:58:04 -0700 TechSneeze (2d548b6) 

	* Merge pull request #39 from lwt-pressy/master

2017-08-23 22:44:08 +0200 pressy (dfbbd97) 

	* Merge remote-tracking branch 'upstream/master'

2017-08-23 22:29:18 +0200 pressy (5a67e7b) 

	* make tls verify server cert as default to prevent man in the middle
          attacks. Can be deactivated by $tlsverify

2017-08-23 21:35:23 +0200 pressy (3cda2f5) 

	* remove spaces

2017-08-22 23:01:56 +0200 pressy (fd7dfa7) 

	* debug also turns on imap debugging

2017-08-21 20:01:04 +0200 pressy (436cfe5) 

	* check for $imapfolder set and include ssl module for correct tls
          usage

2017-08-03 22:22:05 -0700 TechSneeze (9f4fde0) 

	* adding CentOS 7 package for Mbox Message Parser

2017-07-24 16:14:25 -0700 TechSneeze (21b154f) 

	* Merge pull request #32 from lwt-pressy/master

2017-07-24 21:51:00 +0200 pressy (02a7b12) 

	* added change for already absolute path or starting with .

2017-07-24 21:11:26 +0200 pressy (7f478d0) 

	* change config file reading for new perl versions and add error
          handling (see also #29 #30)

2017-06-12 09:34:31 -0700 TechSneeze (3d974ad) 

	* Merge pull request #28 from jobisoft/master

2017-06-07 21:57:59 +0200 John Bieling (b797111) 

	* remove default options and print usage if run without any option

2017-06-07 00:49:14 -0700 TechSneeze (ecc0c61) 

	* Merge pull request #27 from jobisoft/master

2017-06-06 12:29:27 +0200 John Bieling (422e0ba) 

	* Be more clear what happens with the source options

2017-06-02 08:20:54 +0200 John Bieling (eda3e93) 

	* gzip fail while adding xml is a database error, return 0

2017-06-02 00:43:57 +0200 John Bieling (4813bdc) 

	* Adding process counter

2017-06-02 00:14:26 +0200 John Bieling (01574a8) 

	* Fix mbox delete bug and move common tasks into sub processXML If
          --delete is given or delete_reports is set and a mbox file
          is used as report_source, the entire mbox is deleted
          instead of the individual messages (important for temp
          database errors during message processing).

2017-06-01 09:03:50 +0200 John Bieling (e38d5aa) 

	* Better description for delete_failed option

2017-05-31 22:43:37 -0700 TechSneeze (7665b5f) 

	* Merge pull request #26 from jobisoft/master

2017-05-31 23:30:35 +0200 John Bieling (9cd7385) 

	* debug output has to be fixed as well

2017-05-30 22:01:04 +0200 John Bieling (fabfd3b) 

	* Simple fix to issue #22

2017-04-14 17:42:39 -0700 TechSneeze (ab79d3b) 

	* Merge pull request #24 from lwt-pressy/path_handling

2017-04-13 13:22:45 +0200 pressy (f39e91a) 

	* use die instead of exit on error

2017-04-13 13:04:11 +0200 pressy (9117251) 

	* update readme for path handling and comments

2017-04-13 13:00:30 +0200 pressy (840db3e) 

	* config file will be searched in running directory, then in call
          path

2017-04-08 09:28:59 -0700 TechSneeze (d4d4835) 

	* added libmail-mbox-messageparser-perl to the Debian requirements

2017-03-15 21:05:06 -0700 TechSneeze (d60a21c) 

	* Merge pull request #21 from stoecker/master

2017-03-15 18:46:01 +0100 Dirk Stoecker (77916ad) 

	* remove debug class

2017-03-15 16:38:48 +0100 Dirk Stoecker (709108c) 

	* drop backup file

2017-03-15 16:34:14 +0100 Dirk Stoecker (2f9f88b) 

	* properly strip line ends

2017-03-15 15:34:37 +0100 Dirk Stoecker (500576d) 

	* optionally compress XML raw data, so it does not waste as much
          space

2017-03-14 17:38:44 -0700 TechSneeze (5b5e35a) 

	* Merge pull request #20 from stoecker/master

2017-03-14 17:35:22 -0700 TechSneeze (3d6196f) 

	* Merge pull request #19 from lifeofguenter/fix-mysql57

2017-03-14 22:04:05 +0100 Dirk Stoecker (29a9a0a) 

	* use unknown instead of - and add two more places, some senders also
          use unknown as value

2017-03-14 21:13:35 +0100 Dirk Stoecker (dac6a46) 

	* detect gz in application/octet-stream by checking the filename

2017-03-14 20:05:09 +0100 Dirk Stoecker (453a8e5) 

	* typo

2017-03-14 20:00:37 +0100 Dirk Stoecker (c555dc1) 

	* fix database abort on large XML file (1091188 bytes)

2017-03-14 19:41:22 +0100 Dirk Stoecker (c9e0ca5) 

	* allow missing DKIM entries in reports

2017-03-14 19:09:14 +0100 Dirk Stoecker (a44f36f) 

	* add mbox mode, don't delete unparsed files in file-working-mode

2017-03-08 08:44:01 +0200 Gunter Grodotzki (a4fff0f) 

	* Fix compatibility with MySQL 5.7

2016-04-04 23:54:04 -0700 Dave (6d52253) 

	* Changes the verify mode for TLS.  This seems to fix #15 and may
          make #14 better.

2016-04-02 10:37:35 -0700 Dave (82e99ed) 

	* Changed debug output for skipped attachments. Script would
          otherwise error when there was an attachment it didn't
          know what to do with, when trying to output information
          about it.

2016-03-20 22:01:31 -0700 TechSneeze (e6a26b6) 

	* Update README.md

2016-03-20 00:51:55 -0700 TechSneeze (25ac78c) 

	* Add install info for CentOS 7

2016-03-19 22:06:12 -0700 Dave (f319316) 

	* Add install info for Fedora dependencies

2016-03-19 12:11:36 -0700 TechSneeze (a7b8f9b) 

	* Merge pull request #12 from jobisoft/master

2016-03-19 17:31:38 +0100 John Bieling (fc97d1e) 

	* Delete skipped non-dmarc-files. I got some emails to my
          dmarc-email-account, which did not have a zip attachment.
          The current code is skipping the delete/move section for
          such emails, so I have to log on my server and have to
          investigate manually. Otherwise I will get the "Skipped"
          notification via cron mail everytime the cron job is run.

2016-03-13 21:35:05 -0700 TechSneeze (bbcea21) 

	* Merge pull request #10 from jobisoft/master

2016-03-13 12:00:57 +0100 John Bieling (ea4cbd7) 

	* Merge remote-tracking branch 'upstream/master'

2016-03-13 11:54:16 +0100 John Bieling (ca08385) 

	* Changed some words

2016-03-12 17:44:43 -0800 Dave (b45be55) 

	* Changed config file detection, as recent commit seemed to not work
          quite right.

2016-03-12 14:54:45 -0800 TechSneeze (523e20b) 

	* Merge pull request #9 from jobisoft/master

2016-03-12 22:40:26 +0100 John Bieling (ebf95bd) 

	* Rephrasing.

2016-03-12 22:35:12 +0100 John Bieling (bc63c8a) 

	* Removed config from script itself to config file. The config file
          is now mandatory and must be in the current working
          directory. Also updated install instructions.

2016-03-11 14:36:58 -0800 TechSneeze (792289a) 

	* Merge pull request #8 from jobisoft/master

2016-03-11 22:25:28 +0100 John Bieling (25260a4) 

	* Enforcing a width of about but not more than 80 chars for all
          longer comments.

2016-03-11 10:38:38 -0800 Dave (a8a576f) 

	* Fixed LICENSE file name Fixed copyright information. Fixed
          copyright note for rddmarc

2016-03-11 01:20:57 -0800 Dave (845223a) 

	* Made a slight change to output of IMAP folder displayed.

2016-03-10 16:04:40 -0800 TechSneeze (cdd790a) 

	* Update dmarcts-report-parser.pl

2016-03-10 15:49:26 -0800 TechSneeze (f90a61e) 

	* Create LICENSE.md

2016-03-09 11:55:26 -0800 TechSneeze (41035ae) 

	* Update to reflect script name change

2016-03-09 11:53:43 -0800 TechSneeze (f6a713e) 

	* Update dmarcts-report-parser.pl

2016-03-09 11:53:00 -0800 TechSneeze (c0edf89) 

	* Rename imap-dmarcts.conf to dmarcts-report-parser.conf

2016-03-09 11:52:35 -0800 TechSneeze (f0472d5) 

	* Update dmarcts-report-parser.pl

2016-03-09 11:51:42 -0800 TechSneeze (2b73a7b) 

	* Rename imap-dmarcts.txt to dmarcts-report-parser.pl

2016-03-08 18:03:20 -0800 TechSneeze (bba18a8) 

	* Merge pull request #7 from jobisoft/master

2016-03-08 14:30:11 -0800 Dave (fff03f8) 

	* Revert "Rename imap-dmarcts.txt to dmarcts-report-parser.pl"

2016-03-08 14:29:57 -0800 Dave (28ae73f) 

	* Revert "Update dmarcts-report-parser.pl"

2016-03-08 14:29:37 -0800 Dave (cee4353) 

	* Revert "Rename imap-dmarcts.conf to dmarcts-report-parser.conf"

2016-03-08 14:18:14 -0800 TechSneeze (0c3c6d2) 

	* Rename imap-dmarcts.conf to dmarcts-report-parser.conf

2016-03-08 14:17:45 -0800 TechSneeze (8831012) 

	* Update dmarcts-report-parser.pl

2016-03-08 14:17:08 -0800 TechSneeze (db70973) 

	* Rename imap-dmarcts.txt to dmarcts-report-parser.pl

2016-03-08 22:35:33 +0100 John Bieling (84685f4) 

	* Forgotten leftover from -k option

2016-03-08 22:18:30 +0100 John Bieling (9168314) 

	* Manually expand PATH with glob. Linux bash supports wildcard
          expansion BEFORE the script is called, so the script only
          sees a list of files even if called like .\imap-dmarc *.
          Other OS behave different, so we should not depend on that
          feature: Use glob on each argument to manually expand the
          argument, if possible.

2016-03-08 19:05:53 +0100 John Bieling (a50735e) 

	* Returning to default behavior KEEP. Message files are only deleted
          if --delete is given or $delete_reports is set in the
          config. The delete option ist stronger than the IMAP move
          config setting: If both are set, the message is not moved
          but deleted.

2016-03-08 17:20:21 +0100 John Bieling (ef6d0ad) 

	* More Debug output.

2016-03-08 17:02:27 +0100 John Bieling (d24f26e) 

	* Set $imap to UID mode and create $imapmovefolder, if it does not
          exists. The UID mode will force imap functions to
          use/return UIDs, instead of message sequence numbers. UIDs
          are not allowed to change during a session and are not
          allowed to be used twice. Message sequence numbers on the
          other side may change on each request, thus looping over
          message sequence numbers and deleting a msg in between
          could have unwanted side effects.

2016-03-08 15:48:46 +0100 John Bieling (0087d9b) 

	* Update Readme

2016-03-08 15:46:32 +0100 John Bieling (2af8ff2) 

	* Missing newline.

2016-03-08 15:41:15 +0100 John Bieling (0ef5f32) 

	* Tweaked IMAP logic to be more compatible (continue) Not all IMAP
          servers allow to create folders on the same level as
          INBOX, but only below. Changed to default config to give
          an example of how to do that.

2016-03-08 15:31:34 +0100 John Bieling (6aafa62) 

	* Tweaked IMAP logic to be more compatible. If there are no messages
          in the inbox, there is no need to select and search. This
          also gets rid of the "Couldn't get all messages" error
          message, if the mailbox is empty.

2016-03-08 14:15:01 +0100 John Bieling (d64f460) 

	* Update Readme

2016-03-08 13:58:26 +0100 John Bieling (5bd891d) 

	* Config vars are now defined before setting them. The default config
          block inside the script can now be used to create a custom
          config in imap-dmarcts.conf, without having to remove the
          our keywords.

2016-03-08 12:38:06 +0100 John Bieling (f0c1d33) 

	* Changed default behaviour to DELETE processed message files. If
          $imapmovefolder is set, IMAP messages are moved rather
          then deleted. The global -k option (which can also be set
          via $keep_reports_at_current_location) will prevent
          deletion (and moving).

2016-03-08 11:02:08 +0100 John Bieling (ed34ae8) 

	* The raw XML is now also stored in the database.

2016-03-07 22:51:04 -0800 TechSneeze (345ddd5) 

	* Add Info about dependencies for Debian systems

2016-03-07 15:58:41 -0800 TechSneeze (17379f7) 

	* Merge pull request #6 from jobisoft/master

2016-03-07 23:35:52 +0100 John Bieling (cafa19d) 

	* The bugfix regarding empty xml tags was incomplete. XMLin was used
          twice, which is now pushed into a the subroutine. I also
          learned, that XMLin returns a reference and we do not need
          to convert that into a hash and pass that later by
          reference - we can simply work with the original
          reference.

2016-03-07 16:24:03 +0100 John Bieling (13ed8ad) 

	* If something bad happend, a report could be stored twice in the
          database. The -r option should remove ALL records of the
          report from the database, not just the first one found.

2016-03-07 15:30:45 +0100 John Bieling (8639074) 

	* Bugfix: If an xml tag is empty (like <header_from />), XMLin
          returns an empty hash by default, which is not what we
          want.

2016-03-07 14:20:20 +0100 John Bieling (2fe7ab2) 

	* Bugfix: Print of IP only in debug mode.

2016-03-06 22:23:55 -0800 Dave (42a0e53) 

	* Add IMAP TLS config and support, enabled as default

2016-03-06 15:35:04 -0800 TechSneeze (3b33e83) 

	* Merge pull request #5 from jobisoft/master

2016-03-06 23:56:04 +0100 John Bieling (9cdbbc2) 

	* Impemented -r option.

2016-03-06 23:20:34 +0100 John Bieling (07c08a5) 

	* Do not die inside message loop.

2016-03-06 16:27:19 +0100 John Bieling (4a23ded) 

	* Implemented -x option.

2016-03-06 15:14:28 +0100 John Bieling (870d978) 

	* Added logic to also read messages from local file system and to set
          debug mode via a command line option. Options -r and -x
          (replace reports and read XML files directly) are
          prepared, but not yet implemented.

2016-03-05 16:27:56 -0800 TechSneeze (1dd3550) 

	* Merge pull request #4 from jobisoft/master

2016-03-05 16:28:26 +0100 John Bieling (0c70835) 

	* Reorganize code into subroutines. No functional changes.

2016-03-04 23:19:44 +0100 John Bieling (a556239) 

	* Fixed mixed whitespaces. No code changes.

2016-03-04 22:21:12 +0100 John Bieling (09e5901) 

	* Merge remote-tracking branch 'upstream/master'

2016-03-04 22:15:09 +0100 John Bieling (d9fcc68) 

	* For concistency added lc to all ifs using mime type, also removed
          unused variable.

2016-03-03 17:01:59 -0800 Dave (d7c8186) 

	* Add IMAP SSL config option and support

2016-03-03 14:25:43 -0800 TechSneeze (9655705) 

	* Merge pull request #3 from jobisoft/master

2016-03-03 14:15:15 -0800 Dave (d69927b) 

	* Add remote database host variable.  Had previously assumed local
          socket. Also changed Socket6 definition, which closes #2

2016-03-03 23:00:36 +0100 John Bieling (4163add) 

	* Removing explicit export restriction for Socket6, which removes
          warning about redefinition of AF_INET6. Wish I knew why...

2016-03-03 19:43:49 +0100 John Bieling (cc3e32f) 

	* Adding all the other missing fields (published_policy and
          identifiers). I do not know of any other allowed fields.

2016-03-03 08:08:39 -0800 TechSneeze (5be10c9) 

	* Merge pull request #1 from jobisoft/master

2016-03-03 15:56:32 +0100 John Bieling (9ae5fb2) 

	* Copy-Paste-Error, forgot to remove the "my".

2016-03-03 15:41:17 +0100 John Bieling (d543eb2) 

	* new line at and of file

2016-03-03 15:36:48 +0100 John Bieling (86031b3) 

	* added support for local config file, auto database management,
          parsing of dmarc alignment results, contact emails and
          extra_contact_info.

2016-03-01 16:29:28 -0800 Dave (8ec3de9) 

	* Add GZip support, thanks to Achim

2016-03-01 13:20:37 -0800 Dave (c0bce69) 

	* Add basic IPv6 support

2016-03-01 00:48:30 -0800 TechSneeze (9b10d1c) 

	* Added URL for more info

2016-03-01 00:43:52 -0800 TechSneeze (8a728c8) 

	* Initial upload of DMARC IMAP Parser

2016-03-01 00:42:16 -0800 TechSneeze (8838996) 

	* Initial commit

